Bug 30420 - Rename Koha::Patron->get_overdues with ->overdues
Summary: Rename Koha::Patron->get_overdues with ->overdues
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Keywords: rel_22_11_candidate
Depends on: 30063
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-31 14:13 UTC by Martin Renvoize
Modified: 2022-06-14 12:39 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement makes the method naming more consistent.
Version(s) released in:
22.11.00


Attachments
Bug 30420: Rename Koha::Patron->get_overdues with ->overdues (5.54 KB, patch)
2022-04-27 11:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30420: Rename Koha::Patron->get_overdues with ->overdues (5.59 KB, patch)
2022-04-27 15:24 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2022-03-31 14:13:19 UTC
We should really replace the get_ accessor with the overdues accessor rather than just providing an alias.

We could also put the query at the dbic schema class level as a fully-fledged relationship and get some query construction benefits.
Comment 1 Jonathan Druart 2022-04-27 11:33:53 UTC
Created attachment 134058 [details] [review]
Bug 30420: Rename Koha::Patron->get_overdues with ->overdues
Comment 2 Martin Renvoize 2022-04-27 15:24:22 UTC
Created attachment 134079 [details] [review]
Bug 30420: Rename Koha::Patron->get_overdues with ->overdues

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2022-04-27 15:24:53 UTC
Thanks for the quick move here.. straight QAing.. no regressions, all cases caught..

Passing QA
Comment 4 Tomás Cohen Arazi 2022-06-14 11:51:32 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!